Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.QualifiedStandardClassNameContext

- org.apache.groovy.parser.antlr4.GroovyParser.QualifiedStandardClassNameContext

-     public static class GroovyParser.QualifiedStandardClassNameContext
      extends GroovyParserRuleContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `QualifiedStandardClassNameContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List<? extends TerminalNode>` | `DOT()`
    `` | `public TerminalNode` | `DOT(int i)`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public List<? extends ClassNameContext>` | `className()`
    `` | `public ClassNameContext` | `className(int i)`
    `` | `public int` | `getRuleIndex()`
    `` | `public QualifiedNameElementsContext` | `qualifiedNameElements()`

- - ### Constructor Detail

    - #### public QualifiedStandardClassNameContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public List<? extends TerminalNode> DOT()

    - #### public TerminalNode DOT(int i)

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public List<? extends ClassNameContext> className()

    - #### public ClassNameContext className(int i)

    - #### @Override
      public int getRuleIndex()

    - #### public QualifiedNameElementsContext qualifiedNameElements()